# Blinkinlabs EightByEight LED badge firmware updater

# Usage

In a macOs terminal, type this command:

    ./dfu-util -d 1d50 -D eightbyeight-firmware.dfu 

# Note on how this was prepared

First, dfu-util needed to be downloaded and compiled from source:

    git clone git://git.code.sf.net/p/dfu-util/dfu-util

(autoconf, config, make, make install, etc)

By default, it will install into /usr/local/lib. To change it so that the binary can be run from a local directory, the library paths must be updated:

    install_name_tool -change "/usr/local/lib/libusb-1.0.0.dylib" libusb-1.0.0.dylib dfu-util
    install_name_tool -id "libusb-1.0.0.dylib" libusb-1.0.0.dylib

Finally, download the EightByEight repository:

    git clone https://github.com/Blinkinlabs/EightByEight.git
    cd firmware
    make

and copy out the .dfu file
